### Method

# Clutter Event put

#### Declaration [src]

    void
    clutter_event_put (
      const ClutterEvent* event
    )

#### Description [src]

Puts a copy of the event on the back of the event queue. The event will have the `CLUTTER_EVENT_FLAG_SYNTHETIC` flag set. If the source is set event signals will be emitted for this source and capture/bubbling for its ancestors. If the source is not set it will be generated by picking or use the actor that currently has keyboard focus.